/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Kea", "index.html", [
    [ "Kea Developer's Guide", "index.html", "index" ],
    [ "Kea Bootp Hooks Library", "d5/d92/libdhcp_bootp.html", [
      [ "Introduction", "d5/d92/libdhcp_bootp.html#libdhcp_bootpIntro", null ],
      [ "Now To Use libdhcp_bootp", "d5/d92/libdhcp_bootp.html#libdhcp_bootpUser", [
        [ "Introduction", "d5/d92/libdhcp_bootp.html#autotoc_md2", null ],
        [ "Configuring the DHCPv4 Module", "d5/d92/libdhcp_bootp.html#autotoc_md3", null ],
        [ "Internal operation", "d5/d92/libdhcp_bootp.html#autotoc_md4", null ]
      ] ],
      [ "Multi-Threading Compatibility", "d5/d92/libdhcp_bootp.html#libdhcp_bootpMTCompatibility", null ]
    ] ],
    [ "Kea Flexible Option Hooks Library", "d5/d27/libdhcp_flex_option.html", [
      [ "Introduction", "d5/d27/libdhcp_flex_option.html#libdhcp_flex_optionIntro", null ],
      [ "Now To Use libdhcp_flex_option", "d5/d27/libdhcp_flex_option.html#libdhcp_flex_optionUser", [
        [ "Introduction", "d5/d27/libdhcp_flex_option.html#autotoc_md5", null ],
        [ "Configuring the DHCP Modules", "d5/d27/libdhcp_flex_option.html#autotoc_md6", null ],
        [ "Internal operation", "d5/d27/libdhcp_flex_option.html#autotoc_md7", null ]
      ] ],
      [ "Multi-Threading Compatibility", "d5/d27/libdhcp_flex_option.html#libdhcp_flex_optionMTCompatibility", null ]
    ] ],
    [ "Todo List", "dd/da0/todo.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", "namespacemembers_vars" ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"d0/d36/structisc_1_1http_1_1CallSetGenericBody.html#a1f7835a5a3a7429e69a91b0edb71484e",
"d0/d67/structisc_1_1dhcp_1_1Dhcp4Parser_1_1basic__symbol.html#a3ac6ea224d0b9c8b679e755addf6c5ef",
"d0/d71/classboost_1_1archive_1_1iterators_1_1base32hex__from__binary.html#a09150d842e029790221ae459e347a8b5",
"d0/db6/classisc_1_1dns_1_1rdata_1_1ch_1_1A.html#aa39a5a91ba21b9ba9b870539d5cbd981",
"d0/dee/structisc_1_1dhcp_1_1Lease.html#a04bc1e66d468b4ee6c8c3af4aefe8cf1",
"d0/dfc/structisc_1_1stats_1_1StatContext.html#a9c1117a5c0b73367b6272528e57b2b15",
"d1/d11/classisc_1_1dhcp_1_1PacketQueue.html#a80e30b1cc2a3e2e60a4f679b67ead3c8",
"d1/d34/netconf__lexer_8cc.html#aa79d63ed3ff8d2249baf1732a73089f5",
"d1/d67/alloc__engine__log_8cc.html#a92791aba9175df364ddec70ace631e05",
"d1/d82/classisc_1_1data_1_1MapElement.html#ae290865289213ee48865298ab845cc80",
"d1/d9a/dhcpsrv__messages_8cc.html#a03d6848dc006592a2f466d834cbb1d29",
"d1/da0/classisc_1_1data_1_1BoolElement.html",
"d1/db5/structisc_1_1dhcp_1_1Dhcp6Parser_1_1symbol__kind.html#a5eb568da0113af645088129226c5bccaa21746352284a13a08bb9156cb7aad84d",
"d1/db5/structisc_1_1dhcp_1_1Dhcp6Parser_1_1symbol__kind.html#a5eb568da0113af645088129226c5bccaa508f6eced164acaa80523506a5a41233",
"d1/db5/structisc_1_1dhcp_1_1Dhcp6Parser_1_1symbol__kind.html#a5eb568da0113af645088129226c5bccaa8a7b7acf8dacc942ad3df1f77bdb0f06",
"d1/db5/structisc_1_1dhcp_1_1Dhcp6Parser_1_1symbol__kind.html#a5eb568da0113af645088129226c5bccaabdb2c6aaab901417d70684f3eead6325",
"d1/db5/structisc_1_1dhcp_1_1Dhcp6Parser_1_1symbol__kind.html#a5eb568da0113af645088129226c5bccaae8ae5a825f4da31a72721e2f0886146e",
"d1/dc6/classisc_1_1perfdhcp_1_1PerfPkt4.html#a3573d896d98b873b5e28c6cf3482328a",
"d1/ddc/classisc_1_1dhcp_1_1Dhcpv6Srv.html#a94f70dee12ee8c75ea794dad8768f790",
"d1/df6/classisc_1_1util_1_1InputBuffer.html#a5b9eefbfdff383160035b748419f4753",
"d2/d26/option__definition_8h.html#aca1efa0eefdf342ea08a73b2c1b5de66",
"d2/d33/structisc_1_1eval_1_1EvalParser_1_1symbol__kind.html#a7a70c3f37a266ca530de71388f5901afaf1e9f09cfecf0c91f6a73683d1869b2a",
"d2/d51/classisc_1_1flex__option_1_1FlexOptionImpl.html#aef86fd220c8b552c7f482f964dd7f72fa1455413a228f0457672a1922bc085eac",
"d2/d6c/classisc_1_1hooks_1_1LibraryHandle.html#a5ea362cfd87297f29902bf7d148f843b",
"d2/d73/dhcp6__messages_8cc.html#af93182d0d82e5de0b46fde5941c82c72",
"d2/d7d/logger__level_8h.html#aedd2f1d915084d33f3a2e5f03edfa239a41eec73c7a30684633fc6d4f17d7d59e",
"d2/d83/dhcp4__lexer_8cc.html#ac56eb96366c08862bf0efe5d83d1fc4c",
"d2/db8/classisc_1_1dns_1_1AbstractMessageRenderer.html",
"d2/dd2/classisc_1_1dhcp_1_1Subnet.html#acb8049adea9ddc482c74797c51367027",
"d3/d09/classisc_1_1log_1_1LoggerSpecification.html#ad8ea08d6807662b361e7a2b6f5d84052",
"d3/d5f/classisc_1_1data_1_1JSONError.html#abeb51799778a876dc543640f6d07dfd7",
"d3/d81/classisc_1_1dns_1_1rdata_1_1generic_1_1NAPTR.html#ad600e16d90cc6cc66b1a4be36620cd17",
"d3/d9e/classisc_1_1d2_1_1D2Parser_1_1semantic__type.html#abe8c4a1f65e09e5877d4a7321c8d611c",
"d3/ddd/translator__host_8h_source.html",
"d4/d05/data_8cc.html#ac624ad274b9900071ada4e995d838e9e",
"d4/d36/classisc_1_1dhcp_1_1Option6IAAddr.html#a77cbd1330fbea888a52811c287b8dd76",
"d4/d4d/namespaceisc_1_1d2.html#a5399ac4e6a978a17a9afc3cc2a2f2531",
"d4/d6a/classisc_1_1dhcp_1_1CqlLeaseExchange.html#ac3061a7a526df8e9b80c9a1e046d64c1",
"d4/d97/logimpl__messages_8h_source.html",
"d4/dbd/classisc_1_1dhcp_1_1CfgConsistency.html#ae33580245db0faea620939d761dec83a",
"d4/dea/classisc_1_1dhcp_1_1CqlLease4Exchange.html",
"d5/d09/structisc_1_1netconf_1_1NetconfParser_1_1by__kind.html#a32a272cdb117ef5b1c89fd16f1e18d38",
"d5/d1f/namespaceisc_1_1db.html#aeca6de6716a41945774e4368ebb01c45",
"d5/d3f/cb__ctl__base_8h_source.html",
"d5/d77/classisc_1_1dhcp_1_1TokenPkt.html#aeb6a3e51282abb6645f518949124d675",
"d5/d8c/namespaceisc_1_1dhcp.html#a2062dd939e5a53bab132c762036044b3",
"d5/d8c/namespaceisc_1_1dhcp.html#a3c9be7e93b4ae9027db7394c30be1a59",
"d5/d8c/namespaceisc_1_1dhcp.html#a71c57ece92b4eea5f8fd1c6968554bc4",
"d5/d8c/namespaceisc_1_1dhcp.html#aa9901c424ee8379f2b572f86eab5b690",
"d5/d8c/namespaceisc_1_1dhcp.html#ae813f1ea7e2e2490eabdbb7d80c969ef",
"d5/d93/classisc_1_1dhcp_1_1IPv6Resrv.html#a19d098150fef82ad50922d96da820001",
"d5/db5/netconf__parser_8h.html#a1d1c6697bc72407b4cbf2e811ff72280",
"d5/dd9/classisc_1_1dhcp_1_1Dhcp6Parser_1_1context.html#ac0f104a7d553d39716aeaf6fd21d6e3e",
"d6/d00/classisc_1_1dhcp_1_1OptionVendorClass.html#a7b5fb0f099b080511b99ad8707af6486",
"d6/d23/strutil_8h.html#a20df524dfbe285e2850fa77f08c88073",
"d6/d41/name_8cc.html",
"d6/d68/classisc_1_1dhcp_1_1Dhcpv4Srv.html#a4fe49545b0645a87ec1e5fd24fa33003",
"d6/d74/dhcp__parsers_8h.html#a2151d975d8cfd82bd1e84c2208c6af71",
"d6/da3/classisc_1_1http_1_1BasicHttpAuthConfig.html#a1edf45fe5082358b8ad84ee9b9a32245",
"d6/dcf/ha__messages_8cc.html#a66e5da9de208bc8ceef254f536d71a5d",
"d6/deb/classisc_1_1util_1_1unittests_1_1MockSocketSessionForwarder.html#a87214ed2669e64f736f2085da673d99e",
"d7/d06/classisc_1_1http_1_1HttpMessageParserBase.html#aaec9a2b3fd0d808e3906b0684374344b",
"d7/d12/classisc_1_1agent_1_1AgentParser.html#a161a82740bbf42967a9a1224acc70342",
"d7/d1c/structisc_1_1dhcp_1_1Dhcp4Parser_1_1token.html#ac2ba538162c2fc2bed0c8bce1b34ed07a273a6ea03d8344e19aeff6532f3bc550",
"d7/d1c/structisc_1_1dhcp_1_1Dhcp4Parser_1_1token.html#ac2ba538162c2fc2bed0c8bce1b34ed07ac5104c53da87a03f0cac9b16e2394a3d",
"d7/d2f/d2__lexer_8cc.html#a2df391b304dadab17608192b116af2a1",
"d7/d3c/classisc_1_1dhcp_1_1RelayInfoParser.html#a9910f9b5fa344dea42f120450a487fd9",
"d7/d46/dhcp4_8h.html#a2eef2d7c982fc995a0d1bb951cbac613a62a47b605d853d9c656d8c2cd4a4ff83",
"d7/d70/classisc_1_1dns_1_1Name.html#a1c812d790949f0f426575f05b9eba809",
"d7/d9b/classisc_1_1hooks_1_1CalloutHandle.html#a8bd6e3fbeaf8cb57779cb042cc820310",
"d7/dbb/classisc_1_1dhcp_1_1D2ClientConfig.html#a7c3c32b00095864a4e59a5f34c044d5a",
"d7/dee/structisc_1_1config_1_1ClientConnection_1_1ControlCommand.html",
"d8/d27/classisc_1_1log_1_1interprocess_1_1InterprocessSyncFile.html#a1dc0097a4365a32e3fb783320005f88b",
"d8/d45/classisc_1_1db_1_1CqlConnection.html#a6118ea393af087b56aee17025ce633a2",
"d8/d65/lease__cmds__callouts_8cc.html#a68b452e3e12b48fc86172cd3d1403e62",
"d8/d80/structisc_1_1netconf_1_1NetconfParser_1_1token.html#ad24ba09582e5b557b9f97531f3f61a33a3d49af9d2b1c1c224c0de51466efc658",
"d8/d9b/classisc_1_1dns_1_1TSIGKeyRing.html#ad7992a04f9dbe4a78b77eeabf845aec4",
"d8/da8/d2__queue__mgr_8cc.html",
"d8/dc3/classisc_1_1perfdhcp_1_1TestControl.html#ad07c536a86a6037073267635f1375a20",
"d8/de2/classisc_1_1dns_1_1UnknownNSEC3HashAlgorithm.html#a1d7bcfc37d227155531d07bd75be0d21",
"d8/dfb/classisc_1_1dhcp_1_1ConfigBackendPoolDHCPv6.html#a5ad6cdc608124c3024e6e63c14e65c2f",
"d9/d0d/classisc_1_1dhcp_1_1Network.html#a476f61867dcec9c0192ccf290f8c0c49",
"d9/d31/classisc_1_1util_1_1CSVFile.html#a6855768fb892a804e8451b78df7f16b6",
"d9/d5d/classisc_1_1dhcp_1_1MySqlLease4Exchange.html#a875b443f07b33168c2cbddfb0579852d",
"d9/d81/classisc_1_1dns_1_1Rcode.html#a604c571968117e58947748921f772e30",
"d9/da7/classisc_1_1dns_1_1RRCollator.html#adf38bd4384c4a195eae97e5dd6ff1ab0",
"d9/dd5/classisc_1_1dhcp_1_1Option.html#a85338464c07eb4fcca9658fc01b54d8e",
"d9/df6/classisc_1_1db_1_1ServerSelector.html",
"da/d21/namespaceisc_1_1util.html#a61ad10713195d5be9e779d2971381455",
"da/d52/classisc_1_1dhcp_1_1NetworkStateImpl.html#a523ded7ba34a9df639e4febe17b358f3",
"da/d62/structisc_1_1d2_1_1D2Parser_1_1token.html#aa60eb19b9103bb27f956da669c5f9ed5a849aa841efc3504863a1d62a8c6e025f",
"da/d7f/classisc_1_1dhcp_1_1CfgMgr.html#a7578655ccb2d6ecff27f29fee6a3f6c5",
"da/db1/classisc_1_1dns_1_1LabelSequence.html#a776584fa758d872b381ba38e0906e7e7",
"da/db2/structisc_1_1agent_1_1AgentParser_1_1symbol__kind.html#a2e95fe82707a0dbc4512d0ee4edcf754a87c342a39e83a89c93ef81c7916b3bdc",
"da/dd0/d2__parser_8h_source.html",
"da/df3/classisc_1_1util_1_1Filename.html#a9f1e88df08952bab56dcd9d3af99a7b4",
"db/d22/classisc_1_1dhcp_1_1Parser4Context.html#accfabd17d0efcba3549a4b79d35fe92a",
"db/d32/dhcp6_2client__handler_8h_source.html",
"db/d56/classisc_1_1dhcp_1_1LeaseFileStats.html#a969eb0c904b637c27d3f8e5e4a1afce2",
"db/d7b/classisc_1_1agent_1_1AgentParser_1_1context.html#afebd3b640901a7c0b2c3bc8ad64adc63",
"db/d8f/classisc_1_1config_1_1CommandMgr.html#a52935da67f5a27638c9c9b83fb4544c6",
"db/dce/response_8cc.html",
"db/df4/structisc_1_1netconf_1_1NetconfParser_1_1symbol__kind.html#a63390512b37e7e92266135aba43eeab1a117f96d23cc83f31f57b75f3475cd27b",
"db/df4/structisc_1_1netconf_1_1NetconfParser_1_1symbol__kind.html#a63390512b37e7e92266135aba43eeab1aefb44603c4fcacbb3295b19ab1e85024",
"db/dff/structisc_1_1dhcp_1_1Dhcp4Parser_1_1symbol__kind.html#a97e1eb9a8abd9b88726a91a2938e1446a08c07571c572e49de891b9918b394990",
"db/dff/structisc_1_1dhcp_1_1Dhcp4Parser_1_1symbol__kind.html#a97e1eb9a8abd9b88726a91a2938e1446a3c1065e71d3308525a48370606a9e913",
"db/dff/structisc_1_1dhcp_1_1Dhcp4Parser_1_1symbol__kind.html#a97e1eb9a8abd9b88726a91a2938e1446a6bb223d78dc4f9a13e0fa163de6dc92c",
"db/dff/structisc_1_1dhcp_1_1Dhcp4Parser_1_1symbol__kind.html#a97e1eb9a8abd9b88726a91a2938e1446aa1c61865cc7602b7513c0d1ff3fa3161",
"db/dff/structisc_1_1dhcp_1_1Dhcp4Parser_1_1symbol__kind.html#a97e1eb9a8abd9b88726a91a2938e1446ad8b539f8f95c7b793263ba07e670f7e2",
"dc/d07/classisc_1_1dhcp_1_1IfaceCollection.html#a0e9fcf5931655cbbbf5481d6dea6d588",
"dc/d0e/dhcp6__lexer_8cc.html#ab01a4c7245136f22a63acac7c0ceb343",
"dc/d26/dns_2message_8cc.html#aae59019d15394a09642f7131550d04a6",
"dc/d40/classisc_1_1dhcp_1_1MySqlLeaseMgr.html#a5a70cc64683bef7d4d53b383afe35ac5",
"dc/d4b/classisc_1_1hooks_1_1ServerHooks.html#a14f7217a0d916a49994dc7b6aadf9628",
"dc/d75/classisc_1_1data_1_1ListElement.html#aaa86a7034390f27119ae2b01c011827f",
"dc/d80/structisc_1_1dhcp_1_1Dhcp6Parser_1_1token.html#a213bd071eaed820975e82f66019c2be8a76cd25f4fe4412889227d4f632cfdbfc",
"dc/d94/classisc_1_1yang_1_1TranslatorSubnet.html#a0e75a3281399d82267aabcc697ba2795",
"dc/dcc/classisc_1_1dns_1_1RdataFactory.html#a31aae6feefc2bbe5822fb4c40fc10562",
"dc/dec/classisc_1_1dhcp_1_1Memfile__LeaseMgr.html#a5ac0173eabd5e7e43133be0dcd427226",
"dc/df1/agent__lexer_8cc.html#aec980b5a71bbe6d67931df20f0ebaec4",
"dd/d1d/classisc_1_1d2_1_1NameAddTransaction.html#aebc4849c09af1b14aa468926fd9ecd2d",
"dd/d5e/classisc_1_1dhcp_1_1AllocEngine_1_1Resource.html#a722bb07faa4c5b398180147e010cd4c3",
"dd/d7e/classisc_1_1lease__cmds_1_1Lease4Parser.html#a0fea07eb84071ead9e44087963af9e6b",
"dd/db3/classisc_1_1util_1_1StateModel.html#a8f2daf275224a3dc8facc681c8bc16f3",
"dd/de4/classisc_1_1dns_1_1RRsetCollectionError.html",
"de/d13/classisc_1_1dhcp_1_1Pkt4.html#a71b1dd94ed583e11532f4980fdef0cb8",
"de/d34/classuser__chk_1_1User.html#a7d2d131fa4dc1f893a311fa57ca3cce2",
"de/d53/classisc_1_1dns_1_1MasterLoader.html#a72546b92f876c1aead4b3763245b3f9a",
"de/d71/classisc_1_1dhcp_1_1Pkt.html",
"de/d82/classisc_1_1dns_1_1RRType.html#a292b8e4e12d966ee1cbffe9469a0f448",
"de/daf/classisc_1_1dhcp_1_1OptionOpaqueDataTuples.html",
"de/dd0/classisc_1_1dhcp_1_1CqlLeaseMgr.html#abc341b0113215d881e3b22c4e0d33335",
"de/de7/classisc_1_1dhcp_1_1OptionDescriptor.html#a62c0209c7c01f58435639abb11ab75e4",
"de/dfd/classisc_1_1dhcp_1_1IfaceMgr.html#ab31f29ebb7a66a8455a169c169648174",
"df/d20/structisc_1_1http_1_1HttpClient_1_1RequestTimeout.html#aa52e6bc9bed08926099a25643c43bcbf",
"df/d53/hooks__messages_8cc.html#a7aa773bc819485aedb931462f45777b6",
"df/d6d/rrset_8h_source.html",
"df/d82/structisc_1_1d2_1_1D2Parser_1_1symbol__kind.html#af97fdc7b15645487e0871d2192295f61a46a48f92d782d41f11d835875d6d5e4a",
"df/d82/structisc_1_1d2_1_1D2Parser_1_1symbol__kind.html#af97fdc7b15645487e0871d2192295f61ad179a0c9a4911509c2e2ccc20f3b4221",
"df/d8d/namespaceisc_1_1ha.html#a83660c3cde93b54cb01252c0f87b04cc",
"df/d9d/namespaceisc_1_1asiodns.html#ae3245a9b5519b69f6355d274c536456d",
"df/de3/classisc_1_1dns_1_1ZoneCheckerCallbacks.html#a892f2661c44f815a582b510badbd8e77",
"globals_func_m.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';